Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcStdio.h File Reference

buffer over flowしないよ　関数^^; More...

`#include <stdio.h>`
`#include <string.h>`
`#include "dkcOSIndependent.h"`

Include dependency graph for dkcStdio.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
DKC_EXTERN int WINAPI | dkc_memcpy (void *dest, size_t size1, const void *src, size_t size2)
DKC_EXTERN int WINAPI | dkc_memmove (void *dest, size_t size1, const void *src, size_t size2)
DKC_EXTERN int WINAPI | dkc_strcpy (char *dest, size_t size1, const char *src, size_t srclen)
DKC_EXTERN int WINAPI | dkc_strcpy_amap (char *dest, size_t size1, const char *src, size_t srclen)
DKC_EXTERN int WINAPI | dkc_strcpy_amap2 (char *dest, size_t size1, const char *src)
| dkutil::dkstrcpy_amap2
DKC_EXTERN int WINAPI | dkc_strcat (char *dest, size_t destsize, size_t destlen, const char *src, size_t srclen)
| dkutil::dkstrcat
DKC_EXTERN int WINAPI | dkc_strcat2 (char *dest, size_t destsize, const char *src)
| dkutil::dkstrcat2
DKC_EXTERN int WINAPI | dkc_strcat_amap (char *dest, size_t destsize, size_t destlen, const char *src, size_t srclen)
| dkutil::dkstrcat_amap
DKC_EXTERN int WINAPI | dkc_strcat_amap2 (char *dest, size_t destsize, const char *src)
| dkutil::dkstrcat_amap2
DKC_EXTERN int WINAPI | dkc_memcmp (const void *buf1, size_t buf1PermitSize, const void *buf2, size_t count)
| dkutil::dkmemcmp
DKC_EXTERN int WINAPI | dkc_strcmp (const char *b1, size_t b1size, const char *b2, size_t b2size)
DKC_EXTERN size_t | dkc_beam (int num)
DKC_EXTERN void | dkc_memswap (void *va, void *vb, size_t size)
| dkutil::memswap
DKC_EXTERN void | dkc_memreverse (void *array, size_t num, size_t size)
| dkutil::memreverse
DKC_EXTERN void | dkc_memrrotate (void *array, size_t shift, size_t num, size_t size)
| dkutil::memrrotate
DKC_EXTERN void | dkc_memlrotate (void *array, size_t shift, size_t num, size_t size)
| dkutil::memlrotate
DKC_EXTERN int | dkc_stream_swap (char *memory, size_t size, size_t point)
| 一つのメモリ領域をpointを基準に入れ替える。

## Detailed Description

buffer over flowしないよ　関数^^;

Author:
  d金魚

Since:
  transplanted from dkutilStdio.h:2004/2/28

Note:
  ここを見よ！
  http://www-6.ibm.com/jp/developerworks/security/000616/j-buffer-defend.html

## Function Documentation

DKC_EXTERN size_t dkc_beam | ( | int | num | ) |

DKC_EXTERN int WINAPI dkc_memcmp | ( | const void * | buf1,
|  | size_t | buf1PermitSize,
|  | const void * | buf2,
|  | size_t | count
| ) |

| dkutil::dkmemcmp

DKC_EXTERN int WINAPI dkc_memcpy | ( | void * | dest,
|  | size_t | size1,
|  | const void * | src,
|  | size_t | size2
| ) |

| Note: dkcStdio.hのC++版の方をCに移植したもの･･･。 あ〜、なんか虚しい･･･。なんかバグあったらどうかご報告ください。m(_ _)m 個人メモ： フィックス方法：間違い個所だけ直す･･･。

DKC_EXTERN void dkc_memlrotate | ( | void * | array,
|  | size_t | shift,
|  | size_t | num,
|  | size_t | size
| ) |

| dkutil::memlrotate 大きさ size の要素 num 個からなる配列 array の要素を 左方向に要素 shift 個分だけ回転移動する。

DKC_EXTERN int WINAPI dkc_memmove | ( | void * | dest,
|  | size_t | size1,
|  | const void * | src,
|  | size_t | size2
| ) |

DKC_EXTERN void dkc_memreverse | ( | void * | array,
|  | size_t | num,
|  | size_t | size
| ) |

| dkutil::memreverse 大きさ size の要素 num 個からなる配列 array の要素を 逆順に並べ替える。

DKC_EXTERN void dkc_memrrotate | ( | void * | array,
|  | size_t | shift,
|  | size_t | num,
|  | size_t | size
| ) |

| dkutil::memrrotate 大きさ size の要素 num 個からなる配列 array の要素を 右方向に要素 shift 個分だけ回転移動する。

DKC_EXTERN void dkc_memswap | ( | void * | va,
|  | void * | vb,
|  | size_t | size
| ) |

| dkutil::memswap

DKC_EXTERN int WINAPI dkc_strcat | ( | char * | dest,
|  | size_t | destsize,
|  | size_t | destlen,
|  | const char * | src,
|  | size_t | srclen
| ) |

| dkutil::dkstrcat

DKC_EXTERN int WINAPI dkc_strcat2 | ( | char * | dest,
|  | size_t | destsize,
|  | const char * | src
| ) |

| dkutil::dkstrcat2

DKC_EXTERN int WINAPI dkc_strcat_amap | ( | char * | dest,
|  | size_t | destsize,
|  | size_t | destlen,
|  | const char * | src,
|  | size_t | srclen
| ) |

| dkutil::dkstrcat_amap

DKC_EXTERN int WINAPI dkc_strcat_amap2 | ( | char * | dest,
|  | size_t | destsize,
|  | const char * | src
| ) |

| dkutil::dkstrcat_amap2

DKC_EXTERN int WINAPI dkc_strcmp | ( | const char * | b1,
|  | size_t | b1size,
|  | const char * | b2,
|  | size_t | b2size
| ) |

DKC_EXTERN int WINAPI dkc_strcpy | ( | char * | dest,
|  | size_t | size1,
|  | const char * | src,
|  | size_t | srclen
| ) |

DKC_EXTERN int WINAPI dkc_strcpy_amap | ( | char * | dest,
|  | size_t | size1,
|  | const char * | src,
|  | size_t | srclen
| ) |

DKC_EXTERN int WINAPI dkc_strcpy_amap2 | ( | char * | dest,
|  | size_t | size1,
|  | const char * | src
| ) |

| dkutil::dkstrcpy_amap2

DKC_EXTERN int dkc_stream_swap | ( | char * | memory,
|  | size_t | size,
|  | size_t | point
| ) |

  | 一つのメモリ領域をpointを基準に入れ替える。 Parameters:
  memory[in][out] | バッファへのポインタ
  size[in] | memoryのサイズ
  point[in] | 何処を基点(何バイト目から)にSwapするか？
Returns: edk_SUCCEEDED以外ならエラー Note: char *buff="buffer";みたいに初期化したバッファをSwapさせるとエラーする。